using ConstructorApp.BusinessLayer.Abstract;
using ConstructorApp.DataAccessLayer.Abstract;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorApp.BusinessLayer.Concrete
{
    public class TeamManager : ITeamService
    {
        private readonly ITeamDal _teamDal;

        public TeamManager(ITeamDal teamDal)
        {
            _teamDal = teamDal;
        }

        public void TAdd(Team entity)
        {
           _teamDal.Add(entity);
        }

        public void TDelete(Team entity)
        {
            _teamDal.Delete(entity);
        }

        public Team TGetByID(int id)
        {
            return _teamDal.GetByID(id);
        }

        public List<Team> TGetListAll()
        {
            return _teamDal.GetListAll();
        }

        public void TUpdate(Team entity)
        {
            _teamDal.Update(entity);
        }
    }
}
